//
//  FGHudCircle.m
//  FGBseHUD
//
//  Created by Franco on 15/02/06.
//
//  Copyright 2006 Softech di Germinara Francesco
//
//  www.germinara.it
//  info@germinara.it
//
//  All rights reserved.
/////////////////////////////////////////////////////////

#import "FGHudCircle.h"
#import "FGHudCircleCell.h"

@implementation FGHudCircle

+ (Class)cellClass
{
    return [FGHudCircleCell class];
}

- (BOOL)acceptsFirstMouse:(NSEvent *)theEvent
{	
    return YES;
}


-(void) setFillColor:(NSColor*) theFillColor{
 FGHudCircleCell *theCell=(FGHudCircleCell*)[self cell];
 [theCell setFillColor:theFillColor];
}

-(void) setBorderColor:(NSColor*) theBorderColor{
 FGHudCircleCell *theCell=(FGHudCircleCell*)[self cell];
 [theCell setBorderColor:theBorderColor];
}

-(void) setUseGradient:(BOOL) bYesNo{
 FGHudCircleCell *theCell=(FGHudCircleCell*)[self cell];
 [theCell setUseGradient:bYesNo];
}

- (void) setUseCustomKnob:(BOOL) bYesNo{
 FGHudCircleCell *theCell=(FGHudCircleCell*)[self cell];
 [theCell setUseCustomKnob:bYesNo];
}

- (void)seImageForNormalState:(NSImage *)imageNormal imageForPressedState:(NSImage*) imagePressed{
 FGHudCircleCell *theCell=(FGHudCircleCell*)[self cell];
 [theCell seImageForNormalState:imageNormal imageForPressedState:imagePressed];
}

@end


