//
//  FGHudSliderCell.h
//
//  Created by Francesco on 1/9/06.
//  Copyright 2006 Softech di Germinara Francesco
//
//  www.germinara.it
//  info@germinara.it
//
//  All rights reserved.
/////////////////////////////////////////////////////////

//Questa classe di occupa del disegno della FGHudSliderCell

#import <Cocoa/Cocoa.h>


@interface FGHudSliderCell : NSSliderCell {
 
 BOOL bUseGradient;      //TRUE uso gradiente
 BOOL bUseCustomKnob;    //TRUE uso il knob triangolare
 BOOL bUseFillColorSel;  //TRUE coloro la parte a sinistra del knob
 NSColor *fillColorSel;  //Colore della selezione
}


- (void) setUseGradient:(BOOL) bYesNo;
- (void) setUseCustomKnob:(BOOL) bYesNo;
- (void) setUseFillColorSel:(BOOL) bYesNo;
- (void) setFillColorSel:(NSColor*) aColor;

@end
