//
//  FGHudDisplay.m
//  FGBseHUD
//
//  Created by Francesco on 2/18/06.
//
//  Copyright 2006 Softech di Germinara Francesco
//
//  www.germinara.it
//  info@germinara.it
//
//  All rights reserved.
/////////////

#import "FGHudDisplay.h"
#import "FGHudDisplayCell.h"

@implementation FGHudDisplay
+ (Class)cellClass
{
    return [FGHudDisplayCell class];
}

- (BOOL)acceptsFirstMouse:(NSEvent *)theEvent
{	
    return YES;
}

-(void) setNumericDisplayValue:(int)newValue{
 FGHudDisplayCell *theCell=(FGHudDisplayCell*)[self cell];
 [theCell setNumericDisplayValue:newValue];
}

-(void)setDisplayNumericVisible:(BOOL)bYesNo;{
 FGHudDisplayCell *theCell=(FGHudDisplayCell*)[self cell];
 [theCell setDisplayNumericVisible:bYesNo];
}

-(void) setTitle:(NSString *) aString{
 FGHudDisplayCell *theCell=(FGHudDisplayCell*)[self cell];
 [theCell setTitle:aString];
}
-(void) setSubTitle:(NSString *) aString{
  FGHudDisplayCell *theCell=(FGHudDisplayCell*)[self cell];
 [theCell setSubTitle:aString];
}

-(void) setOutLetIndicator:(FGHudLevelIndicator *)theIndicator{
  FGHudDisplayCell *theCell=(FGHudDisplayCell*)[self cell];
 [theCell setOutLetIndicator:theIndicator];
}

@end
